export default {
	name: { type: String, required: true },
	youtubeChannels: [
		{
			youtubeChannelId: { type: String },
			comment: { type: String }
		}
	],
	spotifyArtists: [
		{
			spotifyArtistId: { type: String },
			comment: { type: String }
		}
	],
	soundcloudArtists: [
		{
			soundcloudArtistId: { type: String },
			comment: { type: String }
		}
	],
	musicbrainzIdentifier: { type: String, required: true },
	musicbrainzData: { type: Object, required: true },
	comment: { type: String },
	linkingData: {
		recordingSort: { type: String, enum: ["title", "length"] },
		recordingFilters: {
			hideNullLength: { type: Boolean },
			hidePartOf: { type: Boolean },
			hideTrackArtistOnly: { type: Boolean }
		},
		youtubeVideosSort: { type: String, enum: ["title", "length"] },
		youtubeVideoTitleChanges: {
			artistDash: { type: Boolean },
			parantheses: { type: Boolean },
			brackets: { type: Boolean },
			commonPhrases: { type: Boolean }
		},
		youtubeVideoFilters: {
			teaser: { type: Boolean },
			under45: { type: Boolean },
			live: { type: Boolean },
			tour: { type: Boolean },
			noMusicCategory: { type: Boolean }
		},
		linkedVideos: {},
		manualHideRecordingMap: {},
		recordingLockedIds: [{ type: String }]
	},
	createdBy: { type: String, required: true },
	createdAt: { type: Number, default: Date.now, required: true },
	documentVersion: { type: Number, default: 1, required: true }
};
